{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}
    {% set statement = templateVars.statement %}

{% block component_part %}
    {% embed '@DemosPlanCore/DemosPlanCore/includes/participation_area_skeleton.html.twig' with {
        link: path('DemosPlan_procedure_public_detail', { 'procedure':procedure }),
        link_caption: 'procedure.goto'|trans,
        content_heading: "statement.public.vote"|trans,
        content_subheading: "explanation.submit.vote"|trans,
        col1: currentUser.loggedIn == true ? 'u-1-of-1'|prefixClass : 'u-1-of-5'|prefixClass,
        col2: currentUser.loggedIn == true ? 'u-1-of-1'|prefixClass : 'u-4-of-5'|prefixClass,
        full_width: true,
        hideMetaMenu: hideMetaMenu|default
    }%}
        {% block content %}

            <h3>{{ "mydata"|trans }}</h3>

            <dl class="{{ 'layout__item layout--flush u-1-of-3 u-pl-0 u-1-of-1-lap-down'|prefixClass }}">

                <dt class="{{ 'layout__item u-1-of-4 u-mb -'|prefixClass }}">
                    {{ "name"|trans }}
                </dt>
                <dd class="{{ 'layout__item u-7-of-12 u-ml-0'|prefixClass }}">
                    {{ templateVars.user.firstname|default("-") }}
                    {{ templateVars.user.lastname|default("-") }}
                </dd>
                <dt class="{{ 'layout__item u-1-of-4 u-mb -'|prefixClass }}">
                    {{ "email"|trans }}
                </dt>
                <dd class="{{ 'layout__item u-7-of-12 u-ml-0'|prefixClass }}">
                    {{ templateVars.user.email|default("-") }}
                </dd>
                <dt class="{{ 'layout__item u-1-of-4 u-mb -'|prefixClass }}">
                    {{ "street"|trans }}
                </dt>
                <dd class="{{ 'layout__item u-7-of-12 u-ml-0'|prefixClass }}">
                    {{ templateVars.user.address.street|default("-") }}
                </dd>
                <dt class="{{ 'layout__item u-1-of-4 u-mb -'|prefixClass }}">
                    {{ "postalcode"|trans }}
                </dt>
                <dd class="{{ 'layout__item u-7-of-12 u-ml-0'|prefixClass }}">
                    {{ templateVars.user.address.postalcode|default("-") }}
                </dd>
                <dt class="{{ 'layout__item u-1-of-4 u-mb -'|prefixClass }}">
                    {{ "city.name"|trans }}
                </dt>
                <dd class="{{ 'layout__item u-7-of-12 u-ml-0'|prefixClass }}">
                    {{ templateVars.user.address.city|default("-") }}
                </dd>
            </dl>

            <div class="{{ 'layout__item u-2-of-3 u-1-of-1-lap-down u-pl-0-lap-down u-mb-0_5-lap-down'|prefixClass }}">

                <p>
                    {% if projectType == 'gateway' %}
                        {{ "explanation.before.vote.data.user.change"|trans({ href: gatewayURL, label: 'gateway'|trans })|wysiwyg }}
                    {% else %}
                        {{ "explanation.before.vote.data.user.change.portal"|trans({ url: path('DemosPlan_user_portal'), label: 'profile'|trans })|wysiwyg }}
                    {% endif %}
                </p>

                <p class="{{ 'flash flash-info'|prefixClass }}">
                    <i class="{{ 'fa fa-exclamation-circle u-mr-0_125'|prefixClass }}" aria-hidden="true"></i><strong>{{ "hint"|trans }}</strong>:
                    {{ "explanation.process.voting"|trans }}<br>
                    {{ "explanation.claim.possibility"|trans|wysiwyg }} {{ "explanation.feedback.vote.email"|trans }}
                </p>

                {% if (templateVars.procedure.procedureUiDefinition.statementFormHintRecheck != '') %}
                    <p>
                        <i class="{{ 'fa fa-exclamation-circle u-mr-0_125'|prefixClass }}" aria-hidden="true"></i>
                        {{ templateVars.procedure.procedureUiDefinition.statementFormHintRecheck|default|wysiwyg }}
                    </p>
                {% endif %}

            </div>

            <h3>{{ "statement.public.vote"|trans }}</h3>

            <form
                action="{{ path('DemosPlan_statement_public_vote',{'statementID':statement.ident,'procedure':procedure}) }}"
                method="post"
                name="js__publicStatementForm"
            >
                <input name="action" type="hidden" value="confirmVotePublicStatement">

                {{ include('@DemosPlanCore/DemosPlanStatement/new_public_participation_statement_confirm_entry.html.twig') }}

                <div class="{{ 'text-right space-inline-s'|prefixClass }}">
                    <input class="{{ 'btn btn--primary'|prefixClass }}" type="submit" name="submit_item_status" value="{{ "vote.now"|trans }}">
                    <a class="{{ 'btn btn--secondary'|prefixClass }}" href="{{ path('DemosPlan_procedure_public_detail',{'procedure':procedure}) }}#procedureDetailsStatementsPublic">
                        {{ "abort"|trans }}
                    </a>
                </div>

            </form>
            <dp-map-modal
                ref="mapModal"
                procedure-id="{{ procedure }}"
            ></dp-map-modal>

        {% endblock content %}
    {% endembed %}
{% endblock component_part %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundle('statement-newPublicParticipationStatementVote.js') }}
{% endblock javascripts %}
